Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.pipeline.processes
Class XSLProcess

    java.lang.Object
      |
      +--oracle.xml.pipeline.controller.Process
            |
            +--oracle.xml.pipeline.processes.XSLProcess

All Implemented Interfaces:
  ErrorHandler, ErrorListener, PipelineConstants, java.lang.Runnable

public class XSLProcess
extends Process
implements ErrorListener

Extends the pipeline Process class to create a wrapper around JXTransformer to be used by the pipeline framework. Its parameters are: Inputs - "document" (dom) Params - "stylesheet" (XSLStylesheet), "outputEncoding" (String) Outputs - "result" (stream, dom, sax) Outparams - none

Field Summary

Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants
`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

Methods inherited from class oracle.xml.pipeline.controller.Process
`convertFromDOM, convertFromSAX, convertFromStream, error, execute, getError, getErrorDocument, getErrorSource, getErrorStream, getErrorStream, getInParamValue, getInput, getInputSource, getOutParamValue, getOutputStream, getOutputWriter, getSAXContentHandler, getSAXErrorHandler, info, initialize, SAXContentHandler, SAXErrorHandler, setOutParam, setOutputResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.transform.ErrorListener
`error, fatalError, warning`

Methods inherited from interface java.lang.Runnable
`run`

Methods inherited from interface org.xml.sax.ErrorHandler
`error, fatalError, warning`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.